
//=============================================================================
// DeathMatchPlus.
//=============================================================================
class MyGame extends UTGame;

//this function is called even before PreBeginPlay, we parse GB parameters from
//command line here
event InitGame(string Options, out string Error )
{

	`log("InitGame - BDM");
	super.InitGame(Options, Error);

}

//This function is automaticaly called after beginning of the game
function PostBeginPlay()
{
	`log("PostBeginPlay - BDM");
	super.PostBeginPlay();
}

//we override this to disable accepting of connections when game is ending
function EndGame(PlayerReplicationInfo Winner, string Reason)
{
	super.EndGame(Winner, Reason);
}

//Called when new human player enters the game
event PlayerController Login(string Portal, string Options, const UniqueNetId UniqueId, out string ErrorMessage)
{
	return super.Login(Portal, Options, UniqueId, ErrorMessage);
}


//Called when somebody (bot/player) leaves game
function Logout(controller Exiting)
{
	super.Logout(Exiting);
}


function GameInfoLogout(Controller Exiting)
{
	Super(GameInfo).Logout(Exiting);
}

function AddDefaultInventory( pawn PlayerPawn )
{
	super.AddDefaultInventory(PlayerPawn);
}


//Prevents epic bots from automatically joining the game
function bool NeedPlayers()
{
	return false;
}

function NotifyKilled(Controller Killer, Controller Killed, Pawn KilledPawn, class<DamageType> damageType )
{
	super.NotifyKilled(Killer, Killed, KilledPawn, damageType);
}


defaultproperties
{	
	CountDown=0	
	bDebug=true
	bPauseable=True
	
	Acronym="BDM"
	MapPrefixes(0)="DM"

	bUseClassicHUD=true
	HUDType=class'UDKMod.MyHUD'
	PlayerControllerClass=class'UTGame.UTPlayerController'
	ConsolePlayerControllerClass=class'UTGame.UTConsolePlayerController'
	DefaultPawnClass=class'UTPawn'
	PlayerReplicationInfoClass=class'UTGame.UTPlayerReplicationInfo'
	GameReplicationInfoClass=class'UTGame.UTGameReplicationInfo'
	DeathMessageClass=class'UTDeathMessage'
	PopulationManagerClass=class'UTPopulationManager'
	BotClass=class'UTBot'
}
